<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "classpath://org/hibernate/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="storybook.model.hbn.entity">
    <class name="Internal" table="INTERNAL">
        <id
            column="ID"
            name="id"
            type="java.lang.Long"
            unsaved-value="null">
            <generator
                class="increment">
            </generator>
        </id>
        <!-- common data -->
        <property
            column="creation"
            name="creation"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="maj"
            name="maj"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="name"
            name="name"
            length="256"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="description"
            name="description"
            length="32768"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="notes"
            name="notes"
            length="32768"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="assistant"
            name="assistant"
            length="32768"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <!-- specific data -->
        <property
            column="key"
            name="key"
            length="512"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="string_value"
            name="stringValue"
            length="4096"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="integer_value"
            name="integerValue"
            type="java.lang.Integer"
            insert="true"
            update="true"
        />
        <property
            column="boolean_value"
            name="booleanValue"
            type="java.lang.Boolean"
            insert="true"
            update="true"
        />
        <property
            column="binValue"
            name="binValue"
            length="16384"
            type="binary"
            insert="true"
            update="true"
        />
    </class>
</hibernate-mapping>
